# Generated by Django 3.2.15 on 2022-08-15 18:06

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('exercises', '0018_delete_pending_exercises'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='exercise',
            name='name_original',
        ),
        migrations.RemoveField(
            model_name='exercise',
            name='status',
        ),
        migrations.RemoveField(
            model_name='exercisebase',
            name='status',
        ),
        migrations.AddField(
            model_name='exercise',
            name='update_date',
            field=models.DateTimeField(auto_now=True, verbose_name='Date'),
        ),
        migrations.AddField(
            model_name='exercisebase',
            name='creation_date',
            field=models.DateField(
                auto_now_add=True, default=django.utils.timezone.now, verbose_name='Date'
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='exercisebase',
            name='update_date',
            field=models.DateTimeField(auto_now=True, verbose_name='Date'),
        ),
        migrations.AlterField(
            model_name='exercisebase',
            name='variations',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to='exercises.variation',
                verbose_name='Variations'
            ),
        ),
        migrations.AlterField(
            model_name='exercisecomment',
            name='exercise',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='exercises.exercise',
                verbose_name='Exercise'
            ),
        ),
        migrations.CreateModel(
            name='HistoricalExerciseComment',
            fields=[
                (
                    'id',
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name='ID'
                    )
                ),
                (
                    'comment',
                    models.CharField(
                        help_text='A comment about how to correctly do this exercise.',
                        max_length=200,
                        verbose_name='Comment'
                    )
                ),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                (
                    'history_type',
                    models.CharField(
                        choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')],
                        max_length=1
                    )
                ),
                (
                    'exercise',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='exercises.exercise',
                        verbose_name='Exercise'
                    )
                ),
                (
                    'history_user',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name='+',
                        to=settings.AUTH_USER_MODEL
                    )
                ),
            ],
            options={
                'verbose_name': 'historical exercise comment',
                'verbose_name_plural': 'historical exercise comments',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalExerciseBase',
            fields=[
                (
                    'id',
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name='ID'
                    )
                ),
                (
                    'license_author',
                    models.CharField(
                        blank=True,
                        help_text=
                        'If you are not the author, enter the name or source here. This is needed for some licenses e.g. the CC-BY-SA.',
                        max_length=50,
                        null=True,
                        verbose_name='Author'
                    )
                ),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, verbose_name='UUID')),
                (
                    'creation_date',
                    models.DateField(blank=True, editable=False, verbose_name='Date')
                ),
                (
                    'update_date',
                    models.DateTimeField(blank=True, editable=False, verbose_name='Date')
                ),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                (
                    'history_type',
                    models.CharField(
                        choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')],
                        max_length=1
                    )
                ),
                (
                    'category',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='exercises.exercisecategory',
                        verbose_name='Category'
                    )
                ),
                (
                    'history_user',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name='+',
                        to=settings.AUTH_USER_MODEL
                    )
                ),
                (
                    'license',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        default=2,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='core.license',
                        verbose_name='License'
                    )
                ),
                (
                    'variations',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='exercises.variation',
                        verbose_name='Variations'
                    )
                ),
            ],
            options={
                'verbose_name': 'historical exercise base',
                'verbose_name_plural': 'historical exercise bases',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalExercise',
            fields=[
                (
                    'id',
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name='ID'
                    )
                ),
                (
                    'license_author',
                    models.CharField(
                        blank=True,
                        help_text=
                        'If you are not the author, enter the name or source here. This is needed for some licenses e.g. the CC-BY-SA.',
                        max_length=50,
                        null=True,
                        verbose_name='Author'
                    )
                ),
                (
                    'description',
                    models.TextField(
                        max_length=2000,
                        validators=[django.core.validators.MinLengthValidator(40)],
                        verbose_name='Description'
                    )
                ),
                ('name', models.CharField(max_length=200, verbose_name='Name')),
                (
                    'creation_date',
                    models.DateField(blank=True, editable=False, null=True, verbose_name='Date')
                ),
                (
                    'update_date',
                    models.DateTimeField(blank=True, editable=False, verbose_name='Date')
                ),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, verbose_name='UUID')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                (
                    'history_type',
                    models.CharField(
                        choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')],
                        max_length=1
                    )
                ),
                (
                    'exercise_base',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        default=None,
                        null=False,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='exercises.exercisebase',
                        verbose_name='ExerciseBase'
                    )
                ),
                (
                    'history_user',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name='+',
                        to=settings.AUTH_USER_MODEL
                    )
                ),
                (
                    'language',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='core.language',
                        verbose_name='Language'
                    )
                ),
                (
                    'license',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        default=2,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='core.license',
                        verbose_name='License'
                    )
                ),
            ],
            options={
                'verbose_name': 'historical exercise',
                'verbose_name_plural': 'historical exercises',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalAlias',
            fields=[
                (
                    'id',
                    models.IntegerField(
                        auto_created=True, blank=True, db_index=True, verbose_name='ID'
                    )
                ),
                ('alias', models.CharField(max_length=200, verbose_name='Alias for an exercise')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                (
                    'history_type',
                    models.CharField(
                        choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')],
                        max_length=1
                    )
                ),
                (
                    'exercise',
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name='+',
                        to='exercises.exercise',
                        verbose_name='Exercise'
                    )
                ),
                (
                    'history_user',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name='+',
                        to=settings.AUTH_USER_MODEL
                    )
                ),
            ],
            options={
                'verbose_name': 'historical alias',
                'verbose_name_plural': 'historical aliass',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.RemoveField(
            model_name='exerciseimage',
            name='status',
        ),
        migrations.AlterField(
            model_name='exercise',
            name='exercise_base',
            field=models.ForeignKey(
                default=None,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='exercises',
                to='exercises.exercisebase',
                verbose_name='ExerciseBase'
            ),
        ),
        migrations.AlterField(
            model_name='historicalexercise',
            name='exercise_base',
            field=models.ForeignKey(
                blank=True,
                db_constraint=False,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name='+',
                to='exercises.exercisebase',
                verbose_name='ExerciseBase'
            ),
        ),
    ]
