# Generated by Django 3.1 on 2020-08-25 10:29

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import wger.nutrition.models


class Migration(migrations.Migration):

    dependencies = [
        ('nutrition', '0004_auto_20200819_2310'),
    ]

    operations = [
        migrations.CreateModel(
            name='LogItem',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('datetime', models.DateTimeField(auto_now=True)),
                ('comment', models.TextField(blank=True, null=True, verbose_name='Comment')),
                (
                    'amount',
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=6,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(1000)
                        ],
                        verbose_name='Amount'
                    )
                ),
                (
                    'ingredient',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='nutrition.ingredient',
                        verbose_name='Ingredient'
                    )
                ),
                (
                    'plan',
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to='nutrition.nutritionplan',
                        verbose_name='Nutrition plan'
                    )
                ),
                (
                    'weight_unit',
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to='nutrition.ingredientweightunit',
                        verbose_name='Weight unit'
                    )
                ),
            ],
            options={
                'ordering': ['datetime'],
            },
            bases=(wger.nutrition.helpers.BaseMealItem, models.Model),
        ),
    ]
